Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Trading_Components_i Class Reference

Set/get methods for references to various interfaces of the trader. More...

`#include <Trader.h>`

Collaboration diagram for TAO_Trading_Components_i:

[legend]
List of all members.

## Public Methods
| TAO_Trading_Components_i (TAO_Lockable &locker)
| ~TAO_Trading_Components_i (void)
CosTrading::Lookup_ptr | lookup_if (void) const
void | lookup_if (CosTrading::Lookup_ptr)
| Set the reference to the Lookup interface.
CosTrading::Register_ptr | register_if (void) const
void | register_if (CosTrading::Register_ptr)
| Set the reference to the Register interface of the trader.
CosTrading::Link_ptr | link_if (void) const
void | link_if (CosTrading::Link_ptr)
| Set the reference to the Link interface of the trader.
CosTrading::Proxy_ptr | proxy_if (void) const
void | proxy_if (CosTrading::Proxy_ptr)
| Set the reference to the Proxy interface of the trader.
CosTrading::Admin_ptr | admin_if (void) const
void | admin_if (CosTrading::Admin_ptr)
| Set the reference to the Admin interface of the trader.
## Private Attributes
TAO_Lockable & | locker_
CosTrading::Lookup_var | lookup_
CosTrading::Register_var | register_
CosTrading::Link_var | link_
CosTrading::Proxy_var | proxy_
CosTrading::Admin_var | admin_

## Detailed Description

Set/get methods for references to various interfaces of the trader.

Note, this class is for use in local address space only and is NOT a direct implementation of IDL methods. (Implementation of IDL methods in CosTrading::Trader_Components would need add a _duplicate call for each get method).

## Constructor & Destructor Documentation

TAO_Trading_Components_i::TAO_Trading_Components_i | ( | TAO_Lockable & | locker | ) |

TAO_Trading_Components_i::~TAO_Trading_Components_i | ( | void |  | ) |

## Member Function Documentation

void TAO_Trading_Components_i::admin_if | ( | CosTrading::Admin_ptr |  | ) |

| Set the reference to the Admin interface of the trader.

CosTrading::Admin_ptr TAO_Trading_Components_i::admin_if | ( | void |  | ) | const

| Returns object reference for the Admin interface of the trader. Returns nil if the trader does not support Admin interface.

void TAO_Trading_Components_i::link_if | ( | CosTrading::Link_ptr |  | ) |

| Set the reference to the Link interface of the trader.

CosTrading::Link_ptr TAO_Trading_Components_i::link_if | ( | void |  | ) | const

| Returns object reference for the Link interface of the trader. Returns nil if the trader does not support Link interface.

void TAO_Trading_Components_i::lookup_if | ( | CosTrading::Lookup_ptr |  | ) |

| Set the reference to the Lookup interface.

CosTrading::Lookup_ptr TAO_Trading_Components_i::lookup_if | ( | void |  | ) | const

| Returns an object reference to the Lookup interface of the trader. Returns nil if the trader does not support Lookup interface.

void TAO_Trading_Components_i::proxy_if | ( | CosTrading::Proxy_ptr |  | ) |

| Set the reference to the Proxy interface of the trader.

CosTrading::Proxy_ptr TAO_Trading_Components_i::proxy_if | ( | void |  | ) | const

| Returns object reference to the Proxy interface of the trader. Returns nil if the trader does not support Proxy interface.

void TAO_Trading_Components_i::register_if | ( | CosTrading::Register_ptr |  | ) |

| Set the reference to the Register interface of the trader.

CosTrading::Register_ptr TAO_Trading_Components_i::register_if | ( | void |  | ) | const

| Returns object reference for the Register interface of the trader. Returns nil if the trader does not support Register interface.

## Member Data Documentation

CosTrading::Admin_var TAO_Trading_Components_i::admin_`[private]`

CosTrading::Link_var TAO_Trading_Components_i::link_`[private]`

TAO_Lockable& TAO_Trading_Components_i::locker_`[private]`

CosTrading::Lookup_var TAO_Trading_Components_i::lookup_`[private]`

CosTrading::Proxy_var TAO_Trading_Components_i::proxy_`[private]`

CosTrading::Register_var TAO_Trading_Components_i::register_`[private]`

The documentation for this class was generated from the following files:

- Trader.h
- Trader.cpp